Freeciv-3.3: gui_funcs Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
gui_funcs Struct Reference

`#include <gui_interface.h>`

## Data Fields

void(* | ui_init )(void)
int(* | ui_main )(int argc, char *argv[])
void(* | ui_exit )(void)
enum gui_type(* | get_gui_type )(void)
void(* | insert_client_build_info )(char *outbuf, size_t outlen)
void(* | version_message )(const char *vertext)
void(* | real_output_window_append )(const char *astring, const struct text_tag_list *tags, int conn_id)
bool(* | is_view_supported )(enum ts_type type)
void(* | tileset_type_set )(enum ts_type type)
struct sprite *(* | load_gfxfile )(const char *filename, bool svgflag)
struct sprite *(* | load_gfxnumber )(int num)
struct sprite *(* | create_sprite )(int width, int height, struct color *pcolor)
void(* | get_sprite_dimensions )(struct sprite *sprite, int *width, int *height)
struct sprite *(* | crop_sprite )(struct sprite *source, int x, int y, int width, int height, struct sprite *mask, int mask_offset_x, int mask_offset_y, float scale, bool smooth)
void(* | free_sprite )(struct sprite *s)
struct color *(* | color_alloc )(int r, int g, int b)
void(* | color_free )(struct color *pcolor)
struct canvas *(* | canvas_create )(int width, int height)
void(* | canvas_free )(struct canvas *store)
void(* | canvas_set_zoom )(struct canvas *store, float zoom)
bool(* | has_zoom_support )(void)
void(* | canvas_mapview_init )(struct canvas *store)
void(* | canvas_copy )(struct canvas *dest, struct canvas *src, int src_x, int src_y, int dest_x, int dest_y, int width, int height)
void(* | canvas_put_sprite )(struct canvas *pcanvas, int canvas_x, int canvas_y, struct sprite *psprite, int offset_x, int offset_y, int width, int height)
void(* | canvas_put_sprite_full )(struct canvas *pcanvas, int canvas_x, int canvas_y, struct sprite *psprite)
void(* | canvas_put_sprite_full_scaled )(struct canvas *pcanvas, int canvas_x, int canvas_y, int canvas_w, int canvas_h, struct sprite *psprite)
void(* | canvas_put_sprite_fogged )(struct canvas *pcanvas, int canvas_x, int canvas_y, struct sprite *psprite, bool fog, int fog_x, int fog_y)
void(* | canvas_put_rectangle )(struct canvas *pcanvas, struct color *pcolor, int canvas_x, int canvas_y, int width, int height)
void(* | canvas_fill_sprite_area )(struct canvas *pcanvas, struct sprite *psprite, struct color *pcolor, int canvas_x, int canvas_y)
void(* | canvas_put_line )(struct canvas *pcanvas, struct color *pcolor, enum line_type ltype, int start_x, int start_y, int dx, int dy)
void(* | canvas_put_curved_line )(struct canvas *pcanvas, struct color *pcolor, enum line_type ltype, int start_x, int start_y, int dx, int dy)
void(* | get_text_size )(int *width, int *height, enum client_font font, const char *text)
void(* | canvas_put_text )(struct canvas *pcanvas, int canvas_x, int canvas_y, enum client_font font, struct color *pcolor, const char *text)
void(* | map_canvas_size_refresh )(void)
void(* | set_rulesets )(int num_rulesets, char **rulesets)
void(* | options_extra_init )(void)
void(* | server_connect )(void)
void(* | add_net_input )(int sock)
void(* | remove_net_input )(void)
void(* | real_conn_list_dialog_update )(void *unused)
void(* | close_connection_dialog )(void)
void(* | add_idle_callback )(void(callback)(void *), void *data)
void(* | sound_bell )(void)
void(* | real_set_client_page )(enum client_pages page)
enum client_pages(* | get_current_client_page )(void)
void(* | set_unit_icon )(int idx, struct unit *punit)
void(* | set_unit_icons_more_arrow )(bool onoff)
void(* | real_focus_units_changed )(void)
void(* | gui_update_font )(const char *font_name, const char *font_value)
void(* | editgui_refresh )(void)
void(* | editgui_notify_object_created )(int tag, int id)
void(* | editgui_notify_object_changed )(int objtype, int object_id, bool removal)
void(* | editgui_popup_properties )(const struct tile_list *tiles, int objtype)
void(* | editgui_tileset_changed )(void)
void(* | editgui_popdown_all )(void)
void(* | popup_combat_info )(int attacker_unit_id, int defender_unit_id, int attacker_hp, int defender_hp, bool make_att_veteran, bool make_def_veteran)
void(* | update_timeout_label )(void)
void(* | start_turn )(void)
void(* | real_city_dialog_popup )(struct city *pcity)
void(* | real_city_dialog_refresh )(struct city *pcity)
void(* | popdown_city_dialog )(struct city *pcity)
void(* | popdown_all_city_dialogs )(void)
bool(* | handmade_scenario_warning )(void)
void(* | refresh_unit_city_dialogs )(struct unit *punit)
bool(* | city_dialog_is_open )(struct city *pcity)
bool(* | request_transport )(struct unit *pcargo, struct tile *ptile)
void(* | update_infra_dialog )(void)
void(* | gui_load_theme )(const char *directory, const char *theme_name)
void(* | gui_clear_theme )(void)
char **(* | get_gui_specific_themes_directories )(int *count)
char **(* | get_usable_themes_in_directory )(const char *directory, int *count)
void(* | gui_init_meeting )(struct Treaty *ptreaty, struct player *they, struct player *initiator)
void(* | gui_recv_cancel_meeting )(struct Treaty *ptreaty, struct player *they, struct player *initiator)
void(* | gui_prepare_clause_updt )(struct Treaty *ptreaty, struct player *they)
void(* | gui_recv_create_clause )(struct Treaty *ptreaty, struct player *they)
void(* | gui_recv_remove_clause )(struct Treaty *ptreaty, struct player *they)
void(* | gui_recv_accept_treaty )(struct Treaty *ptreaty, struct player *they)
void(* | request_action_confirmation )(const char *expl, struct act_confirmation_data *data)
void(* | real_science_report_dialog_update )(void *unused)
void(* | science_report_dialog_redraw )(void)
void(* | science_report_dialog_popup )(bool raise)
void(* | real_economy_report_dialog_update )(void *unused)
void(* | real_units_report_dialog_update )(void *unused)
void(* | endgame_report_dialog_start )(const struct packet_endgame_report *packet)
void(* | endgame_report_dialog_player )(const struct packet_endgame_player *packet)
void(* | popup_image )(const char *tag, int width, int height)

## Detailed Description

Definition at line 37 of file gui_interface.h.

## Field Documentation

## ◆ add_idle_callback

void(* gui_funcs::add_idle_callback) (void(callback)(void *), void *data)

Definition at line 117 of file gui_interface.h.

Referenced by add_idle_callback(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ add_net_input

void(* gui_funcs::add_net_input) (int sock)

Definition at line 113 of file gui_interface.h.

Referenced by add_net_input(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_copy

void(* gui_funcs::canvas_copy) (struct canvas *dest, struct canvas *src, int src_x, int src_y, int dest_x, int dest_y, int width, int height)

Definition at line 71 of file gui_interface.h.

Referenced by canvas_copy(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_create

struct canvas *(* gui_funcs::canvas_create) (int width, int height)

Definition at line 64 of file gui_interface.h.

Referenced by canvas_create(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_fill_sprite_area

void(* gui_funcs::canvas_fill_sprite_area) (struct canvas *pcanvas, struct sprite *psprite, struct color *pcolor, int canvas_x, int canvas_y)

Definition at line 93 of file gui_interface.h.

Referenced by canvas_fill_sprite_area(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_free

void(* gui_funcs::canvas_free) (struct canvas *store)

Definition at line 67 of file gui_interface.h.

Referenced by canvas_free(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_mapview_init

void(* gui_funcs::canvas_mapview_init) (struct canvas *store)

Definition at line 70 of file gui_interface.h.

Referenced by canvas_mapview_init(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_curved_line

void(* gui_funcs::canvas_put_curved_line) (struct canvas *pcanvas, struct color *pcolor, enum line_type ltype, int start_x, int start_y, int dx, int dy)

Definition at line 99 of file gui_interface.h.

Referenced by canvas_put_curved_line(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_line

void(* gui_funcs::canvas_put_line) (struct canvas *pcanvas, struct color *pcolor, enum line_type ltype, int start_x, int start_y, int dx, int dy)

Definition at line 96 of file gui_interface.h.

Referenced by canvas_put_line(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_rectangle

void(* gui_funcs::canvas_put_rectangle) (struct canvas *pcanvas, struct color *pcolor, int canvas_x, int canvas_y, int width, int height)

Definition at line 89 of file gui_interface.h.

Referenced by canvas_put_rectangle(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_sprite

void(* gui_funcs::canvas_put_sprite) (struct canvas *pcanvas, int canvas_x, int canvas_y, struct sprite *psprite, int offset_x, int offset_y, int width, int height)

Definition at line 74 of file gui_interface.h.

Referenced by canvas_put_sprite(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_sprite_fogged

void(* gui_funcs::canvas_put_sprite_fogged) (struct canvas *pcanvas, int canvas_x, int canvas_y, struct sprite *psprite, bool fog, int fog_x, int fog_y)

Definition at line 85 of file gui_interface.h.

Referenced by canvas_put_sprite_fogged(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_sprite_full

void(* gui_funcs::canvas_put_sprite_full) (struct canvas *pcanvas, int canvas_x, int canvas_y, struct sprite *psprite)

Definition at line 78 of file gui_interface.h.

Referenced by canvas_put_sprite_full(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_put_sprite_full_scaled

void(* gui_funcs::canvas_put_sprite_full_scaled) (struct canvas *pcanvas, int canvas_x, int canvas_y, int canvas_w, int canvas_h, struct sprite *psprite)

Definition at line 81 of file gui_interface.h.

Referenced by canvas_put_sprite_full_scaled(), and setup_gui_funcs().

## ◆ canvas_put_text

void(* gui_funcs::canvas_put_text) (struct canvas *pcanvas, int canvas_x, int canvas_y, enum client_font font, struct color *pcolor, const char *text)

Definition at line 104 of file gui_interface.h.

Referenced by canvas_put_text(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ canvas_set_zoom

void(* gui_funcs::canvas_set_zoom) (struct canvas *store, float zoom)

Definition at line 68 of file gui_interface.h.

Referenced by canvas_set_zoom(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ city_dialog_is_open

bool(* gui_funcs::city_dialog_is_open) (struct city *pcity)

Definition at line 146 of file gui_interface.h.

Referenced by city_dialog_is_open(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ close_connection_dialog

void(* gui_funcs::close_connection_dialog) (void)

Definition at line 116 of file gui_interface.h.

Referenced by close_connection_dialog(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ color_alloc

struct color *(* gui_funcs::color_alloc) (int r, int g, int b)

Definition at line 61 of file gui_interface.h.

Referenced by color_alloc(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ color_free

void(* gui_funcs::color_free) (struct color *pcolor)

Definition at line 64 of file gui_interface.h.

Referenced by color_free(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ create_sprite

struct sprite *(* gui_funcs::create_sprite) (int width, int height, struct color *pcolor)

Definition at line 51 of file gui_interface.h.

Referenced by create_sprite(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ crop_sprite

struct sprite *(* gui_funcs::crop_sprite) (struct sprite *source, int x, int y, int width, int height, struct sprite *mask, int mask_offset_x, int mask_offset_y, float scale, bool smooth)

Definition at line 55 of file gui_interface.h.

Referenced by crop_sprite(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ editgui_notify_object_changed

void(* gui_funcs::editgui_notify_object_changed) (int objtype, int object_id, bool removal)

Definition at line 130 of file gui_interface.h.

Referenced by editgui_notify_object_changed(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ editgui_notify_object_created

void(* gui_funcs::editgui_notify_object_created) (int tag, int id)

Definition at line 129 of file gui_interface.h.

Referenced by editgui_notify_object_created(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ editgui_popdown_all

void(* gui_funcs::editgui_popdown_all) (void)

Definition at line 133 of file gui_interface.h.

Referenced by editgui_popdown_all(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ editgui_popup_properties

void(* gui_funcs::editgui_popup_properties) (const struct tile_list *tiles, int objtype)

Definition at line 131 of file gui_interface.h.

Referenced by editgui_popup_properties(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ editgui_refresh

void(* gui_funcs::editgui_refresh) (void)

Definition at line 128 of file gui_interface.h.

Referenced by editgui_refresh(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ editgui_tileset_changed

void(* gui_funcs::editgui_tileset_changed) (void)

Definition at line 132 of file gui_interface.h.

Referenced by editgui_tileset_changed(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ endgame_report_dialog_player

void(* gui_funcs::endgame_report_dialog_player) (const struct packet_endgame_player *packet)

Definition at line 175 of file gui_interface.h.

Referenced by endgame_report_dialog_player(), and setup_gui_funcs().

## ◆ endgame_report_dialog_start

void(* gui_funcs::endgame_report_dialog_start) (const struct packet_endgame_report *packet)

Definition at line 174 of file gui_interface.h.

Referenced by endgame_report_dialog_start(), and setup_gui_funcs().

## ◆ free_sprite

void(* gui_funcs::free_sprite) (struct sprite *s)

Definition at line 61 of file gui_interface.h.

Referenced by free_sprite(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ get_current_client_page

enum client_pages(* gui_funcs::get_current_client_page) (void)

Definition at line 120 of file gui_interface.h.

Referenced by get_current_client_page(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ get_gui_specific_themes_directories

char **(* gui_funcs::get_gui_specific_themes_directories) (int *count)

Definition at line 154 of file gui_interface.h.

Referenced by get_gui_specific_themes_directories(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ get_gui_type

enum gui_type(* gui_funcs::get_gui_type) (void)

Definition at line 40 of file gui_interface.h.

Referenced by get_gui_type(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ get_sprite_dimensions

void(* gui_funcs::get_sprite_dimensions) (struct sprite *sprite, int *width, int *height)

Definition at line 55 of file gui_interface.h.

Referenced by get_sprite_dimensions(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ get_text_size

void(* gui_funcs::get_text_size) (int *width, int *height, enum client_font font, const char *text)

Definition at line 102 of file gui_interface.h.

Referenced by get_text_size(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ get_usable_themes_in_directory

char **(* gui_funcs::get_usable_themes_in_directory) (const char *directory, int *count)

Definition at line 155 of file gui_interface.h.

Referenced by get_usable_themes_in_directory(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ gui_clear_theme

void(* gui_funcs::gui_clear_theme) (void)

Definition at line 153 of file gui_interface.h.

Referenced by gui_clear_theme(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ gui_init_meeting

void(* gui_funcs::gui_init_meeting) (struct Treaty *ptreaty, struct player *they, struct player *initiator)

Definition at line 157 of file gui_interface.h.

Referenced by gui_init_meeting(), and setup_gui_funcs().

## ◆ gui_load_theme

void(* gui_funcs::gui_load_theme) (const char *directory, const char *theme_name)

Definition at line 152 of file gui_interface.h.

Referenced by gui_load_theme(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ gui_prepare_clause_updt

void(* gui_funcs::gui_prepare_clause_updt) (struct Treaty *ptreaty, struct player *they)

Definition at line 161 of file gui_interface.h.

Referenced by gui_prepare_clause_updt(), and setup_gui_funcs().

## ◆ gui_recv_accept_treaty

void(* gui_funcs::gui_recv_accept_treaty) (struct Treaty *ptreaty, struct player *they)

Definition at line 164 of file gui_interface.h.

Referenced by gui_recv_accept_treaty(), and setup_gui_funcs().

## ◆ gui_recv_cancel_meeting

void(* gui_funcs::gui_recv_cancel_meeting) (struct Treaty *ptreaty, struct player *they, struct player *initiator)

Definition at line 159 of file gui_interface.h.

Referenced by gui_recv_cancel_meeting(), and setup_gui_funcs().

## ◆ gui_recv_create_clause

void(* gui_funcs::gui_recv_create_clause) (struct Treaty *ptreaty, struct player *they)

Definition at line 162 of file gui_interface.h.

Referenced by gui_recv_create_clause(), and setup_gui_funcs().

## ◆ gui_recv_remove_clause

void(* gui_funcs::gui_recv_remove_clause) (struct Treaty *ptreaty, struct player *they)

Definition at line 163 of file gui_interface.h.

Referenced by gui_recv_remove_clause(), and setup_gui_funcs().

## ◆ gui_update_font

void(* gui_funcs::gui_update_font) (const char *font_name, const char *font_value)

Definition at line 126 of file gui_interface.h.

Referenced by gui_update_font(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ handmade_scenario_warning

bool(* gui_funcs::handmade_scenario_warning) (void)

Definition at line 144 of file gui_interface.h.

Referenced by handmade_scenario_warning(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ has_zoom_support

bool(* gui_funcs::has_zoom_support) (void)

Definition at line 69 of file gui_interface.h.

Referenced by has_zoom_support(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ insert_client_build_info

void(* gui_funcs::insert_client_build_info) (char *outbuf, size_t outlen)

Definition at line 43 of file gui_interface.h.

Referenced by insert_client_build_info(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ is_view_supported

bool(* gui_funcs::is_view_supported) (enum ts_type type)

Definition at line 50 of file gui_interface.h.

Referenced by is_view_supported(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ load_gfxfile

struct sprite *(* gui_funcs::load_gfxfile) (const char *filename, bool svgflag)

Definition at line 51 of file gui_interface.h.

Referenced by load_gfxfile(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ load_gfxnumber

struct sprite *(* gui_funcs::load_gfxnumber) (int num)

Definition at line 51 of file gui_interface.h.

Referenced by load_gfxnumber(), and setup_gui_funcs().

## ◆ map_canvas_size_refresh

void(* gui_funcs::map_canvas_size_refresh) (void)

Definition at line 108 of file gui_interface.h.

Referenced by map_canvas_size_refresh(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ options_extra_init

void(* gui_funcs::options_extra_init) (void)

Definition at line 111 of file gui_interface.h.

Referenced by options_extra_init(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ popdown_all_city_dialogs

void(* gui_funcs::popdown_all_city_dialogs) (void)

Definition at line 143 of file gui_interface.h.

Referenced by popdown_all_city_dialogs(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ popdown_city_dialog

void(* gui_funcs::popdown_city_dialog) (struct city *pcity)

Definition at line 142 of file gui_interface.h.

Referenced by popdown_city_dialog(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ popup_combat_info

void(* gui_funcs::popup_combat_info) (int attacker_unit_id, int defender_unit_id, int attacker_hp, int defender_hp, bool make_att_veteran, bool make_def_veteran)

Definition at line 135 of file gui_interface.h.

Referenced by popup_combat_info(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ popup_image

void(* gui_funcs::popup_image) (const char *tag, int width, int height)

Definition at line 177 of file gui_interface.h.

Referenced by popup_image(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_city_dialog_popup

void(* gui_funcs::real_city_dialog_popup) (struct city *pcity)

Definition at line 140 of file gui_interface.h.

Referenced by real_city_dialog_popup(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_city_dialog_refresh

void(* gui_funcs::real_city_dialog_refresh) (struct city *pcity)

Definition at line 141 of file gui_interface.h.

Referenced by real_city_dialog_refresh(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_conn_list_dialog_update

void(* gui_funcs::real_conn_list_dialog_update) (void *unused)

Definition at line 115 of file gui_interface.h.

Referenced by real_conn_list_dialog_update(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_economy_report_dialog_update

void(* gui_funcs::real_economy_report_dialog_update) (void *unused)

Definition at line 172 of file gui_interface.h.

Referenced by real_economy_report_dialog_update(), and setup_gui_funcs().

## ◆ real_focus_units_changed

void(* gui_funcs::real_focus_units_changed) (void)

Definition at line 125 of file gui_interface.h.

Referenced by real_focus_units_changed(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_output_window_append

void(* gui_funcs::real_output_window_append) (const char *astring, const struct text_tag_list *tags, int conn_id)

Definition at line 46 of file gui_interface.h.

Referenced by real_output_window_append(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_science_report_dialog_update

void(* gui_funcs::real_science_report_dialog_update) (void *unused)

Definition at line 169 of file gui_interface.h.

Referenced by real_science_report_dialog_update(), and setup_gui_funcs().

## ◆ real_set_client_page

void(* gui_funcs::real_set_client_page) (enum client_pages page)

Definition at line 120 of file gui_interface.h.

Referenced by real_set_client_page(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ real_units_report_dialog_update

void(* gui_funcs::real_units_report_dialog_update) (void *unused)

Definition at line 173 of file gui_interface.h.

Referenced by real_units_report_dialog_update(), and setup_gui_funcs().

## ◆ refresh_unit_city_dialogs

void(* gui_funcs::refresh_unit_city_dialogs) (struct unit *punit)

Definition at line 145 of file gui_interface.h.

Referenced by refresh_unit_city_dialogs(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ remove_net_input

void(* gui_funcs::remove_net_input) (void)

Definition at line 114 of file gui_interface.h.

Referenced by remove_net_input(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ request_action_confirmation

void(* gui_funcs::request_action_confirmation) (const char *expl, struct act_confirmation_data *data)

Definition at line 166 of file gui_interface.h.

Referenced by request_action_confirmation(), and setup_gui_funcs().

## ◆ request_transport

bool(* gui_funcs::request_transport) (struct unit *pcargo, struct tile *ptile)

Definition at line 148 of file gui_interface.h.

Referenced by request_transport(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ science_report_dialog_popup

void(* gui_funcs::science_report_dialog_popup) (bool raise)

Definition at line 171 of file gui_interface.h.

Referenced by science_report_dialog_popup(), and setup_gui_funcs().

## ◆ science_report_dialog_redraw

void(* gui_funcs::science_report_dialog_redraw) (void)

Definition at line 170 of file gui_interface.h.

Referenced by science_report_dialog_redraw(), and setup_gui_funcs().

## ◆ server_connect

void(* gui_funcs::server_connect) (void)

Definition at line 112 of file gui_interface.h.

Referenced by server_connect(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ set_rulesets

void(* gui_funcs::set_rulesets) (int num_rulesets, char **rulesets)

Definition at line 110 of file gui_interface.h.

Referenced by set_rulesets(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ set_unit_icon

void(* gui_funcs::set_unit_icon) (int idx, struct unit *punit)

Definition at line 123 of file gui_interface.h.

Referenced by set_unit_icon(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ set_unit_icons_more_arrow

void(* gui_funcs::set_unit_icons_more_arrow) (bool onoff)

Definition at line 124 of file gui_interface.h.

Referenced by set_unit_icons_more_arrow(), setup_gui_funcs(), and setup_gui_funcs().

## ◆ sound_bell

void(* gui_funcs::sound_bell) (void)

Definition at line 118 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and sound_bell().

## ◆ start_turn

void(* gui_funcs::start_turn) (void)

Definition at line 139 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and start_turn().

## ◆ tileset_type_set

void(* gui_funcs::tileset_type_set) (enum ts_type type)

Definition at line 51 of file gui_interface.h.

Referenced by setup_gui_funcs(), and tileset_type_set().

## ◆ ui_exit

void(* gui_funcs::ui_exit) (void)

Definition at line 40 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and ui_exit().

## ◆ ui_init

void(* gui_funcs::ui_init) (void)

Definition at line 38 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and ui_init().

## ◆ ui_main

int(* gui_funcs::ui_main) (int argc, char *argv[])

Definition at line 39 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and ui_main().

## ◆ update_infra_dialog

void(* gui_funcs::update_infra_dialog) (void)

Definition at line 150 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and update_infra_dialog().

## ◆ update_timeout_label

void(* gui_funcs::update_timeout_label) (void)

Definition at line 138 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and update_timeout_label().

## ◆ version_message

void(* gui_funcs::version_message) (const char *vertext)

Definition at line 45 of file gui_interface.h.

Referenced by setup_gui_funcs(), setup_gui_funcs(), and version_message().